# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: recorder/v1/recorder.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from google.protobuf import timestamp_pb2 as google_dot_protobuf_dot_timestamp__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='recorder/v1/recorder.proto',
  package='recorder.v1',
  syntax='proto3',
  serialized_options=b'Z=gitlab.com/wobcom/iot/hemingway-api/go/recorder/v1;recorderv1',
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x1arecorder/v1/recorder.proto\x12\x0brecorder.v1\x1a\x1fgoogle/protobuf/timestamp.proto\"Q\n\x05Value\x12\x12\n\x04unit\x18\x01 \x01(\tR\x04unit\x12\x14\n\x05value\x18\x02 \x01(\x03R\x05value\x12\x1e\n\nmultiplier\x18\x03 \x01(\x01R\nmultiplier\"\xd2\x01\n\tRecording\x12\x19\n\x08meter_id\x18\x01 \x01(\tR\x07meterId\x12\x1f\n\x0b\x65rror_flags\x18\x02 \x01(\tR\nerrorFlags\x12:\n\x06values\x18\x03 \x03(\x0b\x32\".recorder.v1.Recording.ValuesEntryR\x06values\x1aM\n\x0bValuesEntry\x12\x10\n\x03key\x18\x01 \x01(\tR\x03key\x12(\n\x05value\x18\x02 \x01(\x0b\x32\x12.recorder.v1.ValueR\x05value:\x02\x38\x01\"\x90\x01\n\x04Meta\x12\x18\n\x07usecase\x18\x01 \x01(\tR\x07usecase\x12\x12\n\x04name\x18\x02 \x01(\tR\x04name\x12\x1d\n\nrequest_id\x18\x03 \x01(\tR\trequestId\x12;\n\x0brecorded_at\x18\x04 \x01(\x0b\x32\x1a.google.protobuf.TimestampR\nrecordedAt\"!\n\x05\x44\x65\x62ug\x12\x18\n\x07payload\x18\x01 \x01(\x0cR\x07payload\"\x96\x01\n\rRecordRequest\x12\x34\n\trecording\x18\x01 \x01(\x0b\x32\x16.recorder.v1.RecordingR\trecording\x12%\n\x04meta\x18\x02 \x01(\x0b\x32\x11.recorder.v1.MetaR\x04meta\x12(\n\x05\x64\x65\x62ug\x18\x03 \x01(\x0b\x32\x12.recorder.v1.DebugR\x05\x64\x65\x62ug\"\x10\n\x0eRecordResponse2T\n\x0fRecorderService\x12\x41\n\x06Record\x12\x1a.recorder.v1.RecordRequest\x1a\x1b.recorder.v1.RecordResponseB?Z=gitlab.com/wobcom/iot/hemingway-api/go/recorder/v1;recorderv1b\x06proto3'
  ,
  dependencies=[google_dot_protobuf_dot_timestamp__pb2.DESCRIPTOR,])




_VALUE = _descriptor.Descriptor(
  name='Value',
  full_name='recorder.v1.Value',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='unit', full_name='recorder.v1.Value.unit', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, json_name='unit', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='value', full_name='recorder.v1.Value.value', index=1,
      number=2, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, json_name='value', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='multiplier', full_name='recorder.v1.Value.multiplier', index=2,
      number=3, type=1, cpp_type=5, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, json_name='multiplier', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=76,
  serialized_end=157,
)


_RECORDING_VALUESENTRY = _descriptor.Descriptor(
  name='ValuesEntry',
  full_name='recorder.v1.Recording.ValuesEntry',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='key', full_name='recorder.v1.Recording.ValuesEntry.key', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, json_name='key', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='value', full_name='recorder.v1.Recording.ValuesEntry.value', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, json_name='value', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=b'8\001',
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=293,
  serialized_end=370,
)

_RECORDING = _descriptor.Descriptor(
  name='Recording',
  full_name='recorder.v1.Recording',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='meter_id', full_name='recorder.v1.Recording.meter_id', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, json_name='meterId', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='error_flags', full_name='recorder.v1.Recording.error_flags', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, json_name='errorFlags', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='values', full_name='recorder.v1.Recording.values', index=2,
      number=3, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, json_name='values', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[_RECORDING_VALUESENTRY, ],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=160,
  serialized_end=370,
)


_META = _descriptor.Descriptor(
  name='Meta',
  full_name='recorder.v1.Meta',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='usecase', full_name='recorder.v1.Meta.usecase', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, json_name='usecase', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='name', full_name='recorder.v1.Meta.name', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, json_name='name', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='request_id', full_name='recorder.v1.Meta.request_id', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, json_name='requestId', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='recorded_at', full_name='recorder.v1.Meta.recorded_at', index=3,
      number=4, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, json_name='recordedAt', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=373,
  serialized_end=517,
)


_DEBUG = _descriptor.Descriptor(
  name='Debug',
  full_name='recorder.v1.Debug',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='payload', full_name='recorder.v1.Debug.payload', index=0,
      number=1, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=b"",
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, json_name='payload', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=519,
  serialized_end=552,
)


_RECORDREQUEST = _descriptor.Descriptor(
  name='RecordRequest',
  full_name='recorder.v1.RecordRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='recording', full_name='recorder.v1.RecordRequest.recording', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, json_name='recording', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='meta', full_name='recorder.v1.RecordRequest.meta', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, json_name='meta', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='debug', full_name='recorder.v1.RecordRequest.debug', index=2,
      number=3, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, json_name='debug', file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=555,
  serialized_end=705,
)


_RECORDRESPONSE = _descriptor.Descriptor(
  name='RecordResponse',
  full_name='recorder.v1.RecordResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=707,
  serialized_end=723,
)

_RECORDING_VALUESENTRY.fields_by_name['value'].message_type = _VALUE
_RECORDING_VALUESENTRY.containing_type = _RECORDING
_RECORDING.fields_by_name['values'].message_type = _RECORDING_VALUESENTRY
_META.fields_by_name['recorded_at'].message_type = google_dot_protobuf_dot_timestamp__pb2._TIMESTAMP
_RECORDREQUEST.fields_by_name['recording'].message_type = _RECORDING
_RECORDREQUEST.fields_by_name['meta'].message_type = _META
_RECORDREQUEST.fields_by_name['debug'].message_type = _DEBUG
DESCRIPTOR.message_types_by_name['Value'] = _VALUE
DESCRIPTOR.message_types_by_name['Recording'] = _RECORDING
DESCRIPTOR.message_types_by_name['Meta'] = _META
DESCRIPTOR.message_types_by_name['Debug'] = _DEBUG
DESCRIPTOR.message_types_by_name['RecordRequest'] = _RECORDREQUEST
DESCRIPTOR.message_types_by_name['RecordResponse'] = _RECORDRESPONSE
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

Value = _reflection.GeneratedProtocolMessageType('Value', (_message.Message,), {
  'DESCRIPTOR' : _VALUE,
  '__module__' : 'recorder.v1.recorder_pb2'
  # @@protoc_insertion_point(class_scope:recorder.v1.Value)
  })
_sym_db.RegisterMessage(Value)

Recording = _reflection.GeneratedProtocolMessageType('Recording', (_message.Message,), {

  'ValuesEntry' : _reflection.GeneratedProtocolMessageType('ValuesEntry', (_message.Message,), {
    'DESCRIPTOR' : _RECORDING_VALUESENTRY,
    '__module__' : 'recorder.v1.recorder_pb2'
    # @@protoc_insertion_point(class_scope:recorder.v1.Recording.ValuesEntry)
    })
  ,
  'DESCRIPTOR' : _RECORDING,
  '__module__' : 'recorder.v1.recorder_pb2'
  # @@protoc_insertion_point(class_scope:recorder.v1.Recording)
  })
_sym_db.RegisterMessage(Recording)
_sym_db.RegisterMessage(Recording.ValuesEntry)

Meta = _reflection.GeneratedProtocolMessageType('Meta', (_message.Message,), {
  'DESCRIPTOR' : _META,
  '__module__' : 'recorder.v1.recorder_pb2'
  # @@protoc_insertion_point(class_scope:recorder.v1.Meta)
  })
_sym_db.RegisterMessage(Meta)

Debug = _reflection.GeneratedProtocolMessageType('Debug', (_message.Message,), {
  'DESCRIPTOR' : _DEBUG,
  '__module__' : 'recorder.v1.recorder_pb2'
  # @@protoc_insertion_point(class_scope:recorder.v1.Debug)
  })
_sym_db.RegisterMessage(Debug)

RecordRequest = _reflection.GeneratedProtocolMessageType('RecordRequest', (_message.Message,), {
  'DESCRIPTOR' : _RECORDREQUEST,
  '__module__' : 'recorder.v1.recorder_pb2'
  # @@protoc_insertion_point(class_scope:recorder.v1.RecordRequest)
  })
_sym_db.RegisterMessage(RecordRequest)

RecordResponse = _reflection.GeneratedProtocolMessageType('RecordResponse', (_message.Message,), {
  'DESCRIPTOR' : _RECORDRESPONSE,
  '__module__' : 'recorder.v1.recorder_pb2'
  # @@protoc_insertion_point(class_scope:recorder.v1.RecordResponse)
  })
_sym_db.RegisterMessage(RecordResponse)


DESCRIPTOR._options = None
_RECORDING_VALUESENTRY._options = None

_RECORDERSERVICE = _descriptor.ServiceDescriptor(
  name='RecorderService',
  full_name='recorder.v1.RecorderService',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_start=725,
  serialized_end=809,
  methods=[
  _descriptor.MethodDescriptor(
    name='Record',
    full_name='recorder.v1.RecorderService.Record',
    index=0,
    containing_service=None,
    input_type=_RECORDREQUEST,
    output_type=_RECORDRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
])
_sym_db.RegisterServiceDescriptor(_RECORDERSERVICE)

DESCRIPTOR.services_by_name['RecorderService'] = _RECORDERSERVICE

# @@protoc_insertion_point(module_scope)
